Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1323148 - [RFE][OVS] use rtnetlink API to create vports
Summary: [RFE][OVS] use rtnetlink API to create vports
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: openvswitch
Version: 7.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Eric Garver
QA Contact: qding
URL:
Whiteboard:
Depends On: 1361236 1361238 1361241
Blocks: 1268061
TreeView+ depends on / blocked
 
Reported: 2016-04-01 11:46 UTC by Jiri Benc
Modified: 2017-09-06 21:47 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-06 21:47:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jiri Benc 2016-04-01 11:46:03 UTC
Currently, with the kernel datapath, tunnel setup (vxlan, geneve) is done through the compat layer in the kernel. This should be converted to create tunnels directly using rtnetlink with the COLLECT_METADATA flag set.

This is needed to support new features: VXLAN-GPE, better control of checksumming, etc.

This feature needs upstream work first.

Comment 2 Thadeu Lima de Souza Cascardo 2016-05-26 20:36:45 UTC
POSTED upstream.

http://openvswitch.org/pipermail/dev/2016-May/071776.html

Comment 3 Thadeu Lima de Souza Cascardo 2016-08-04 18:45:53 UTC
This is not yet ready for OVS 2.6. Depends on some datapath work and other bug fixes.

Cascardo.

Comment 4 Thadeu Lima de Souza Cascardo 2016-12-02 18:16:38 UTC
Reassigning to Eric Garver.

Comment 8 Eric Garver 2017-09-06 21:47:17 UTC
This feature is in the upstream OVS 2.8 release and will therefore make its way into the next fast-datapath-beta update.


Note You need to log in before you can comment on or make changes to this bug.